<?php
/**
 * Main admin class
 *
 * @author Your Inspiration Themes
 * @package YITH Newsletter Popup
 * @version 1.0.0
 */
if ( !defined( 'YITH_NEWSLETTER_POPUP' ) ) { exit; } // Exit if accessed directly
global $yith_newsletter_popup_options;
$yith_newsletter_popup_options = array(
    //tab general
    'general' => array(
        'label' => __('General', 'yit'),
        'sections' => array(
            'general' => array(
                'title' =>  __('General Settings', 'yit'),
                'description' => '',
                'fields' => array(
                    'yith_newsletter_popup_enable' => array(
                        'title' => __('Enable Newsletter Popup', 'yit'),
                        'description' => __( 'Enable the newsletter popup. (Default: Off)', 'yit' ),
                        'type' => 'checkbox',
                        'std' => false
                    ),
                    'yith_newsletter_popup_cookie_var' => array(
                        'title' => __('Cookie Variable', 'yit'),
                        'description' => __( 'Write here a name to be given to the cookie generated by the closing link of the popup, in this way, as soon as you\'ll change this value all your visitors will see it again even if they disabled it. Don\'t abuse of this function!', 'yit' ),
                        'type' => 'text',
                        'std' => __( 'yithpopup', 'yit' )
                    ),
                    'yith_newsletter_popup_title' => array(
                        'title' => __('Popup Title', 'yit'),
                        'description' => __( 'The title displayed. You can also use HTML code.', 'yit' ),
                        'type' => 'text',
                        'std' => __( 'Join our faboulous community today!', 'yit' )
                    ),
                    'yith_newsletter_popup_image' => array(
                        'title' => 'Popup Image',
                        'description' => __( 'Upload an image. (Tip: best viewed with a rectangular image sized like 315px X 225px)', 'yit' ),
                        'type' => 'upload',
                        'std' => YITH_NEWSLETTER_POPUP_URL . 'assets/images/popup.jpg'
                    ),
                    'yith_newsletter_popup_message' => array(
                        'title' => __('Popup Message', 'yit'),
                        'description' => __( 'The message displayed. You can also use HTML code.', 'yit' ),
                        'type' => 'textarea',
                        'std' => sprintf( __( "If you would like to be always informed about our latest templates, plugins and products, just fill the form with your name and email.We, Yithemes are here to help you succeed in your web based business.<a href='%s' title='Yithemes FREE  WordPress themes download'>Yithemes FREE  WordPress themes download.</a>", 'yit' ),'http://yithemes.com/?ap_id=yith-popup-newsletter'),
                    ),
                    'yith_newsletter_popup_hide_text' => array(
                        'title' => __('Hiding text', 'yit'),
                        'description' => __( 'The title displayed next to the checkbox that let users hide the popup forever. You can also use HTML code.', 'yit' ),
                        'type' => 'text',
                        'std' => __( 'Do not show it anymore.', 'yit' )
                    ),
                    'yith_newsletter_popup_custom_style' => array(
                        'title' => 'Custom style',
                        'description' => __( 'Insert here your custom CSS style.', 'yit' ),
                        'type' => 'textarea',
                        'std' => ''
                    ),
                )//fields
            ),//general
            'typography' => array(
                'title' =>  __('Typography', 'yit'),
                'description' => '',
                'fields' => array(
                    'yith_newsletter_popup_title_font' => array(
                        'title' =>  __('Title font of message', 'yit'),
                        'description' => __('Choose the font type, size and color for the title.', 'yit'),
                        'type' => 'typography',
                        'std' => array(
                            'size' => 25,
                            'unit' => 'px',
                            'family' => 'Roboto',
                            'style' => 'bold',
                            'color' => '#373736',
                        ),
                    ),
                    'yith_newsletter_popup_paragraph_font' => array(
                        'title' =>  __('Paragraph font of message', 'yit'),
                        'description' => __('Choose the font type, size and color for the message.', 'yit'),
                        'type' => 'typography',
                        'std' => array(
                            'size' => 12,
                            'unit' => 'px',
                            'family' => 'Roboto',
                            'style' => 'regular',
                            'color' => '#747373',
                        ),
                    ),
                    'yith_newsletter_popup_hide_font' => array(
                        'title' =>  __('Hiding buttons fonts', 'yit'),
                        'description' => __('Choose the font type, size and color for the newsletter popup hiding buttons.', 'yit'),
                        'type' => 'typography',
                        'std' => array(
                            'size' => 10,
                            'unit' => 'px',
                            'family' => 'Roboto',
                            'style' => 'regular',
                            'color' => '#111111',
                        ),
                    ),
                    'yith_newsletter_popup_submit_font' => array(
                        'title' =>  __('Newsletter Submit and Add to cart buttons font', 'yit'),
                        'description' => __('Choose the font type, size and color for the email submit button and Add to cart button.', 'yit'),
                        'type' => 'typography',
                        'std' => array(
                            'size' => 10,
                            'unit' => 'px',
                            'family' => 'Roboto',
                            'style' => 'bold',
                            'color' => '#ffffff',
                        ),
                    ),

                    'yith_newsletter_popup_submit_font_hover' => array(
                        'title' =>  __('Newsletter Submit and Add to cart buttons font on hover status', 'yit'),
                        'description' => __('Choose the font type, size and color for the email submit button and Add to cart button on hover status.', 'yit'),
                        'type' => 'typography',
                        'std' => array(
                            'size' => 10,
                            'unit' => 'px',
                            'family' => 'Roboto',
                            'style' => 'bold',
                            'color' => '#eeeeee',
                        ),
                    )
                ) // typography fields
            ), //typography
            // Popup background
            'background' => array(
                'title' =>  __('Background Settings', 'yit'),
                'description' => __('Customize the background of newsletter popup', 'yit'),
                'fields' => array(
                    'yith_newsletter_popup_background' => array(
                        'title' =>  __('Choose a color to be used as background', 'yit'),
                        'description' => __("Choose a color to be used as background.", 'yit'),
                        'type' => 'colorpicker',
                        'std' => '#FFFFFF',
                    ),
                )//fields
            ), // background
        ) //sections
    ), //general tab
    //tab container
    'newsletter' => array(
        'label' => __('Newsletter', 'yit'),
        'sections' => array(
            'newsletter' => array(
                'title' =>  __('Newsletter', 'yit'),
                'description' => __('Add a newsletter form in your newsletter popup.', 'yit'),
                'fields' => array(
                    'yith_newsletter_popup_enable_newsletter_form' => array(
                        'title' =>  __('Enable Newsletter form', 'yit'),
                        'description' => __('Choose if you want to enable the newsletter form in the newsletter popup.', 'yit'),
                        'type' => 'checkbox',
                        'std' => true
                    ),

                    'yith_newsletter_popup_newsletter_email_font' => array(
                        'title' =>  __('Newsletter Name and Email Inputs Font', 'yit'),
                        'description' => __('Choose the font type, size and color for the name and email inputs field.', 'yit'),
                        'type' => 'typography',
                        'std' => array(
                            'size' => 10,
                            'unit' => 'px',
                            'family' => 'Roboto',
                            'style' => 'regular',
                            'color' => '#8f8f8f',
                        ),
                    ),

                    'yith_newsletter_popup_custom_submit' => array(
                        'title' =>  __("Enable custom submit button's colors", 'yit'),
                        'description' => __("Choose if you want to use custom submit button's colors or your theme default ones.(Default: Custom)", 'yit'),
                        'type' => 'checkbox',
                        'std' => true
                    ),

                    'yith_newsletter_popup_submit_background' => array(
                        'title' =>  __('Newsletter submit background', 'yit'),
                        'description' => __('The submit button background.', 'yit'),
                        'type' => 'colorpicker',
                        'std' => '#C58408',
                    ),
                    'yith_newsletter_popup_submit_hover_background' => array(
                        'title' =>  __('Newsletter submit hover background', 'yit'),
                        'description' => __('The submit button hover background.', 'yit'),
                        'type' => 'colorpicker',
                        'std' => '#e79c0c',
                    )
                )
            ),
           'newsletter_configuration' => array(
                'title' =>  __('Form configuration', 'yit'),
                'description' => __('Configure the form and each field, to integrate the newsletter features of an external service.', 'yit'),
                'fields' => array(
                    'yith_newsletter_popup_action' => array(
                        'title' =>  __('Newsletter Action URL', 'yit'),
                        'description' => __('Set the action url of the form.', 'yit'),
                        'type' => 'text',
                        'std' => ''
                    ),
                    'yith_newsletter_popup_name_name' => array(
                        'title' =>  __('Name "name"', 'yit'),
                        'description' => __('The attribute "name" of the name field.', 'yit'),
                        'type' => 'text',
                        'std' => 'name',
                    ),
                    'yith_newsletter_popup_name_icon' => array(
                        'title' =>  __('Name icon', 'yit'),
                        'description' => __('Upload or select an icon to be shown in newsletter\'s name input field', 'yit'),
                        'type' => 'upload',
                        'std' => YITH_NEWSLETTER_POPUP_URL . 'assets/images/icon_name.png',
                    ),
                    'yith_newsletter_popup_name_label' => array(
                        'title' =>  __('Name field label', 'yit'),
                        'description' => __('The name field label', 'yit'),
                        'type' => 'text',
                        'std' => 'ENTER YOUR NAME',
                    ),
                    'yith_newsletter_popup_email_name' => array(
                        'title' =>  __('Email "name"', 'yit'),
                        'description' => __('The attribute "name" of the email address field.', 'yit'),
                        'type' => 'text',
                        'std' => 'email',
                    ),
                    'yith_newsletter_popup_email_icon' => array(
                        'title' =>  __('Email icon', 'yit'),
                        'description' => __('Upload or select an icon to be shown in newsletter\'s email input field', 'yit'),
                        'type' => 'upload',
                        'std' => YITH_NEWSLETTER_POPUP_URL . 'assets/images/mailwhite.png',
                    ),
                    'yith_newsletter_popup_email_label' => array(
                        'title' =>  __('Email field label', 'yit'),
                        'description' => __('The email field label', 'yit'),
                        'type' => 'text',
                        'std' => 'ENTER YOUR MAIL ADDRESS',
                    ),
                    'yith_newsletter_popup_submit_button_label' => array(
                        'title' =>  __('Submit button label', 'yit'),
                        'description' => __('Submit button label', 'yit'),
                        'type' => 'text',
                        'std' => 'ADD ME TO THE LIST',
                    ),
                    'yith_newsletter_popup_newsletter_hidden_fields' => array(
                        'title' =>  __('Newsletter Hidden fields', 'yit'),
                        'description' => __('Set the hidden fields to include in the form. Use the form: field1=value1&field2=value2&field3=value3', 'yit'),
                        'type' => 'text',
                        'std' => '',
                   ),
                    'yith_newsletter_popup_newsletter_method' => array(
                        'title' =>  __('Form method', 'yit'),
                        'description' => __('Set the method for the form request.', 'yit'),
                        'type' => 'select',
                        'options' => array(
                            'POST' => 'POST',
                            'GET'  => 'GET',
                        ),
                        'std' => 'POST'
                    )
                ) //fields
            ) //newsletter configuration
        ) //sections -> newsletter
    ), //newsletter
); //whole array

if( yit_is_woocommerce_active() ) {
    $yith_newsletter_popup_options['woocommerce'] = array(
        'label' => __('WooCommerce Integration', 'yit'),
        'sections' => array(
            'woocommerce' => array(
                'title' =>  __('WooCommerce Integration', 'yit'),
                'description' => '',
                'fields' => array(
                    'yith_newsletter_popup_woocommerce_integration' => array(
                        'title' => __('Enable the WooCommerce integration', 'yit'),
                        'description' => __( 'If the option is enabled, the popup shows the informations about the WooCommerce products selected below. (Default: Off)', 'yit' ),
                        'type' => 'checkbox',
                        'std' => false
                    ),
                    'yith_newsletter_popup_woocommerce_product_id' => array(
                        'title' => __('WooCommerce Product ID', 'yit'),
                        'description' => sprintf( __( 'Write here the ID of the product that you would like to show in your popup. <a href="%s">More info</a>.', 'yit' ), 'http://yithemes.com/docs/yith_newsletter_popup/index.html'),
                        'type' => 'text',
                        'std' => ''
                    ),
                    'yith_newsletter_popup_woocommerce_submit_text' => array(
                        'title' => __('WooCommerce Add to Cart Button Call to Action', 'yit'),
                        'description' => ('Write here the text that you would like to display in "Add to cart" button'),
                        'type' => 'text',
                        'std' => __('ADD TO CART','yit')
                    ),
                    'yith_newsletter_popup_woo_custom_submit' => array(
                        'title' =>  __("Enable custom submit button's colors", 'yit'),
                        'description' => __("Choose if you want to use custom submit button's colors or your theme default ones.(Default: Custom)", 'yit'),
                        'type' => 'checkbox',
                        'std' => true
                    ),
                    'yith_newsletter_popup_woo_submit_background' => array(
                        'title' =>  __('Newsletter submit background', 'yit'),
                        'description' => __('The submit button background.', 'yit'),
                        'type' => 'colorpicker',
                        'std' => '#C58408',
                    ),
                    'yith_newsletter_popup_woo_submit_hover_background' => array(
                        'title' =>  __('Newsletter submit hover background', 'yit'),
                        'description' => __('The submit button hover background.', 'yit'),
                        'type' => 'colorpicker',
                        'std' => '#e79c0c',
                    )
                ) //fields
            ) //woocommerce configuration
        ) //sections -> woocommerce
    );  //woocommerce
}